import 'package:flutter/services.dart';
import 'package:flutter_custom_form_component/flutter_custom_form_component.dart';
import 'package:flutter_test/flutter_test.dart';

void main() {
  const MethodChannel channel = MethodChannel('flutter_custom_form_component');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    TestDefaultBinaryMessengerBinding.instance.defaultBinaryMessenger
        .setMockMethodCallHandler(channel, (_) async => '42');
  });

  tearDown(() {
    TestDefaultBinaryMessengerBinding.instance.defaultBinaryMessenger
        .setMockMethodCallHandler(channel, (_) async => null);
  });

  test('getPlatformVersion', () async {
    expect(await FlutterCustomFormComponent.platformVersion, '42');
  });
}
